# Product Confirmation Emails Product Confirmation Emails ## Gets all of the product confirmation emails in the system. - [GET /productConfirmationEmails/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/listproductconfirmationemails.md): This method will scan all product confirmation emails and and return them to the caller. ## Creates a new product confirmation email record that does not already exist. - [POST /productConfirmationEmails/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/createproductconfirmationemail.md): This method will auto-generate an ID and create a new product confirmation email. If an ID is specified for the product confirmation email, an error will be thrown. ## Execute Batch Operations - [POST /productConfirmationEmails/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a product confirmation email from the system by its ID. - [DELETE /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/deleteproductconfirmationemail.md): This method will delete a product confirmation email with the specified ID. ## Returns a product confirmation email from the system by its ID. - [GET /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/getproductconfirmationemail.md): This method will look up a product confirmation email by the specified ID and return it back. ## Partially updates a product confirmation email with the specified ID. - [PATCH /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/patchproductconfirmationemail.md): This method will patch an existing product confirmation email with the specified ID, using the HTTP PATCH specification. ## Updates a product confirmation email with the specified ID. - [PUT /productConfirmationEmails/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/product-confirmation-emails/updateproductconfirmationemail.md): This method will update an existing product confirmation email with the specified ID.